<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>在线支付接口</title>

<link href="css/index.css" rel="stylesheet" type="text/css">
</head>

<?php

/*
 * @Description 易宝支付B2C在线支付接口范例 
 * @V3.0
 * @Author rui.xin
 */
 
include 'yeepayCommon.php';	
include_once("../../../lib/cs_conn.php");
include_once("../../../lib/cs_common.php");
#	只有支付成功时易宝支付才会通知商户.
##支付成功回调有两次，都会通知到在线支付请求参数中的p8_Url上：浏览器重定向;服务器点对点通讯.

#	解析返回参数.
$return = getCallBackValue($r0_Cmd,$r1_Code,$r2_TrxId,$r3_Amt,$r4_Cur,$r5_Pid,$r6_Order,$r7_Uid,$r8_MP,$r9_BType,$hmac);

#	判断返回签名是否正确（True/False）
$bRet = CheckHmac($r0_Cmd,$r1_Code,$r2_TrxId,$r3_Amt,$r4_Cur,$r5_Pid,$r6_Order,$r7_Uid,$r8_MP,$r9_BType,$hmac);
#	以上代码和变量不需要修改.
	 	
#	校验码正确.
if($bRet){
	if($r1_Code=="1"){
	#	需要比较返回的金额与商家数据库中订单的金额是否相等，只有相等的情况下才认为是交易成功.
	#	并且需要对返回的处理进行事务控制，进行记录的排它性处理，在接收到支付结果通知后，判断是否进行过业务逻辑处理，不要重复进行业务逻辑处理，防止对同一条交易重复发货的情况发生.      	  	
		if($r9_BType=="1"){
			//检测订单，存在就加点
			$v_oid = CS_Request("r6_Order");
	               global $db;
	               //检测订单，存在就加点
	               $row=$db->getrow("select * from ".Getdbname('pay')." where cs_dingdan='".$v_oid."' and cs_pid=0");
	               if($row){
	               $CS_RMB=$row["CS_RMB"];
			   $db->query("update ".Getdbname('pay')." set CS_Pid=1 where CS_Dingdan='".$v_oid."'");

                           if($row["CS_Type"]=='vip'){   //升级VIP
				if($CS_RMB==30){
                                    $VipDs=CS_VipDs1;
                                }elseif($CS_RMB==180){
                                    $VipDs=CS_VipDs2;
                                }elseif($CS_RMB==365){
                                    $VipDs=CS_VipDs3;
                                }
                                $rowu=$db->getrow("select * from ".Getdbname('user')." where cs_name='".$row["CS_User"]."'");
				$time1=$rowu["CS_VipTime"];
				$time2=date('Y-m-d');
				$diff=strtotime($time1)-strtotime($time2);
				if($diff<0){
					$mydate=mktime(0,0,0,date("m"),date("d")+$CS_RMB,date("Y"));
					$NewUseDate= date("Y-m-d H:i:s",$mydate);
					$sqlv="update ".Getdbname('user')." set cs_viptime='".date('Y-m-d H:i:s')."',cs_endtime='".$NewUseDate."' where CS_Name='".$row["CS_User"]."'";
					$db->query($sqlv);
				}else{
					$strtimes = explode(" ",$rowu["CS_EndTime"]);
					$timearray = explode("-",$strtimes[0]);
					$year = $timearray[0];
					$month = $timearray[1];
					$day = $timearray[2]+$CS_RMB;
					$mydate2=mktime(0,0,0,$month,$day,$year);
					$NewUseDate=date("Y-m-d H:i:s",$mydate2);
					$sqlv="update ".Getdbname('user')." set cs_endtime='".$NewUseDate."' where CS_Name='".$row["CS_User"]."'";
					$db->query($sqlv);
				}
				//产生消息
				$content="恭喜您，成功升级了VIP会员".$CS_RMB."天，VIP到期时间:".$NewUseDate."，若出现问题请尽快联系客服。";
				$s_addtime=date('Y-m-d H:i:s');
				$sqlx="insert into ".Getdbname('xiaoxi')." (cs_usera,cs_userb,cs_name,cs_neir,cs_addtime) values ('".$row["CS_User"]."','系统消息','升级VIP - 系统消息','".$content."','".date('Y-m-d H:i:s')."')";
				if($db->query($sqlx));
	                        echo "恭喜您，成功升级了VIP会员".$CS_RMB."天，VIP到期时间:".$NewUseDate."，若出现问题请尽快联系客服。</br>";
	                        echo "请牢记您的定单号：".$v_oid;

                           }else{   //充值金币

				$db->query("update ".Getdbname('user')." set CS_Cion=CS_Cion+$CS_RMB where CS_Name='".$row["CS_User"]."'");
				//产生消息
				$content="恭喜您，成功充值了 ".$CS_RMB." 元，若出现问题请尽快联系客服。";
				$s_addtime=date('Y-m-d H:i:s');
				$sqlx="insert into ".Getdbname('xiaoxi')." (cs_usera,cs_userb,cs_name,cs_neir,cs_addtime) values ('".$row["CS_User"]."','系统消息','充值成功 - 系统消息','".$content."','".date('Y-m-d H:i:s')."')";
				if($db->query($sqlx));
	                        echo "恭喜您，成功充值了 ".$CS_RMB." 元，若出现问题请尽快联系客服。</br>";
	                        echo "请牢记您的定单号：".$v_oid;
                           }

	               }else{
	                        echo "验证失败,非法订单。";
	               }
		}elseif($r9_BType=="2"){
		echo "<div class='showmessage'>";
		echo "<div class='ye_r_t'><div class='ye_l_t'><div class='ye_r_b'><div class='ye_l_b'>";
		echo "<caption><h2>信息提示</h2></caption>";
		echo "<p>出错了，支付失败。</p>";
		echo "<p class='op'><a href='../space.php?ac=home'>返回首页</a></p>";
		echo "</div></div></div></div>";
		echo "</div>";
		}
	}
	
}else{
	echo "交易信息被篡改";
}
   
?>
<html>
<head>
<title>Return from YeePay Page</title>
</head>
<body>
</body>
</html>